<?php

namespace App\Mail;

use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\Setting;

class TestMail extends Mailable
{
    use SerializesModels;

    public function build()
    {
        return $this->markdown('emails.test')
                    ->subject('Test Email from Shipping System')
                    ->with([
                    'siteName' => Setting::get('site_name', config('app.name')),
                    'siteUrl' => Setting::get('site_url', config('app.url')),
                ]);
    }
}